Bug 1306936 - dnf upgrade from 22 LXDE to 23 goes to 23 "Cloud" and breaks DE and Network
dnf upgrade from 22 LXDE to 23 goes to 23 "Cloud" and breaks DE and Network
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 03:52 EST by orcolat
Modified: 2016-12-20 13:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:39:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description orcolat 2016-02-12 03:52:12 EST
Description of problem:
I tried to upgrade my system from Fedora 22 to 23 using the steps from https://fedoraproject.org/wiki/DNF_system_upgrade.

My Fedora 22 is the LXDE spin at kernel 4.2.6-200.fc22.x86_64 running on a VAIO Pro.

Update F22 to prepare for plugin and upgrade brings in kernel 4.3.5-200 with a claim to skip kernel-devel for conflicts plus a couple of dependency issue with systemd-python/python3 packages.

I used the --allowerase to continue the update before going on to the upgrade phase.

Update seemed to work, but the upgrade during reboot looked quite strange (step logs started disappearing "by column" leaving, in the end, only the first column of "[".

Anyway, system rebooted and started successfully but:
- entering the desktop environment session (LXDE) showed no lxpanel nor icons and looked like it was a plain Openbox without any of my configurations and key bindings in place
- network (ethernet through usb & wireless) worked lazily: at each restart one or the other worked but never I've had both available at my choice, nor the dmesg provided clues on what to fix
- also, the final system was labeled Fedora 23 (Cloud)

I tried to grub-boot into both the F22 4.3.5 option and the F22 4.2.6 one, but issues still stayed there. The desktop issue was disturbing but probably fixable, but the network issue not.

To restore full system functionality I had to revert everything as the update and upgrade never happened (did it through a backup I had done just before trying the update/upgrade).

Wireless network card is an INTEL Dual Band Wireless AC 7260.

How reproducible:
Don't know if possible.
I surely won't try it for a while.

Steps to Reproduce:
1. start out of a Fedora 22 kernel 4.2.6-200 LXDE spin
2. try a dnf update
3. perform a dnf-plugin-system upgrade and distro-sync

Actual results:
Desktop environment messed up, network connections fuzzy.
Fedora 22 LXDE upgraded to Fedora 23 Cloud?

Expected results:
Simple update and upgrade of the system, expecting minor issues to non-system packages.

Additional info:
Machine is a dual boot EFI. But I don't think that's an issue.
Comment 1 Honza Silhan 2016-02-15 08:18:14 EST
Which packages it removed when `--allowerasing` was set? Can you see some logs in the journal for system upgrade and attach them, please?

It seems like packaging problem with not so well tested spin. Btw you should always proceed with `--allowerasing` when you are sure what you are doing.
Comment 2 orcolat 2016-02-15 09:07:43 EST
This is what reports (on the restored system) the dnf update before the upgrade:

Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
kernel-devel  x86_64  4.3.5-200.fc22  updates-testing  9.9 M
Skipping packages with broken dependencies:
systemd-python  x86_64 219-28.fc22  updates-testing  97 k
systemd-python3 x86_64 219-28.fc22  updates-testing  99 k

These seemed not critical to me: a devel package for kernel and python systemd.
I don't think the problems are there, because all the system reboot both after update and upgrade, with the only issues with the desktop environment (I could have survived it) and the network (couldn't).

As for the journal: resetting the machine to have it running properly it has been reset, sorry for this.

Anyway, what I was curious of is the fact that it upgraded to Fedora 23 "Cloud".
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-02-15 09:55:11 EST
(In reply to orcolat from comment #0)
> Update seemed to work, but the upgrade during reboot looked quite strange
> (step logs started disappearing "by column" leaving, in the end, only the
> first column of "[".
That's a known issue, but things should work fine, even though you cannot see
the output.

> Anyway, system rebooted and started successfully but:
> - entering the desktop environment session (LXDE) showed no lxpanel nor
> icons and looked like it was a plain Openbox without any of my
> configurations and key bindings in place
> - network (ethernet through usb & wireless) worked lazily: at each restart
> one or the other worked but never I've had both available at my choice, nor
> the dmesg provided clues on what to fix
> - also, the final system was labeled Fedora 23 (Cloud)
> 
> I tried to grub-boot into both the F22 4.3.5 option and the F22 4.2.6 one,
> but issues still stayed there. The desktop issue was disturbing but probably
> fixable, but the network issue not.
This sounds like the upgrade worked fine, but the upgraded packages are broken.
I'd guess that this is more than one issue, e.g. the network is probably
unrelated to lxpanel or icons.

(In reply to orcolat from comment #2)
> Skipping packages with conflicts:
> (add '--best --allowerasing' to command line to force their upgrade):
> kernel-devel  x86_64  4.3.5-200.fc22  updates-testing  9.9 M
> Skipping packages with broken dependencies:
> systemd-python  x86_64 219-28.fc22  updates-testing  97 k
> systemd-python3 x86_64 219-28.fc22  updates-testing  99 k
Hm, I made this update and it seems that I messed something up here, but I
agree that this should not be related to your problems.
Comment 4 Fedora End Of Life 2016-11-24 10:31:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 orcolat 2016-11-28 05:12:15 EST
Not sure it's the right place to report.

I was able to swith F23 to F24 (and plan to go F25 soon).

I did it living with a "Cloud" version listed in my grub, plus some minor issue related to the LXDE environment (I'll probably switch to a different one, let's see).

Network sometimes is still fuzzy after dnf updates, sometimes it requires multi-reboot to align properly the wireless.

Anyway VAIO PRO is approaching its end-of-life on my side, so I suspect closing this bug won't upset anyone else.
Comment 6 Fedora End Of Life 2016-12-20 13:39:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.